Show / Hide Table of Contents

# Struct SDL.SDL_RendererInfo

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: SDL2

###### Assembly: SDL2-CS.dll

##### Syntax

    public struct SDL_RendererInfo

### Fields

| Improve this Doc View Source

#### flags

##### Declaration

    public uint flags

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### max_texture_height

##### Declaration

    public int max_texture_height

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### max_texture_width

##### Declaration

    public int max_texture_width

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### name

##### Declaration

    public IntPtr name

##### Field Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### num_texture_formats

##### Declaration

    public uint num_texture_formats

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### texture_formats

##### Declaration

    public uint *texture_formats

##### Field Value

Type | Description
--- | ---
System.UInt32* |